## confluence 0.10.6

=== Makefile ===
SHELL=/bin/sh

PREFIX=/usr/local

.PHONY : all
all :
	cd src && $(MAKE) PREFIX=$(PREFIX)

.PHONY : install
install :
	cd src && $(MAKE) PREFIX=$(PREFIX) install
	install -D lib/base.cf                 $(PREFIX)/lib/confluence/base.cf
	install -D lib/list.cf                 $(PREFIX)/lib/confluence/list.cf
	install -D lib/base_test/base_test.cf  $(PREFIX)/lib/confluence/base_test/base_test.cf
	install -D lib/base_test/run_test      $(PREFIX)/lib/confluence/base_test/run_test
	install -D lib/common/common.cf        $(PREFIX)/lib/confluence/common/common.cf
	install -D lib/common/sync.cf          $(PREFIX)/lib/confluence/common/sync.cf
	install -D lib/common/unit_test.cf     $(PREFIX)/lib/confluence/common/unit_test.cf

.PHONY : uninstall
uninstall :
	cd src && $(MAKE) PREFIX=$(PREFIX) uninstall
	-rm -r $(PREFIX)/lib/confluence

.PHONY : clean
clean :
	cd src && $(MAKE) PREFIX=$(PREFIX) clean

=== src/Makefile ===
SHELL=/bin/bash
.SUFFIXES: .ml .mli .cmo .cmi .cmx

PREFIX=/usr/local

OCAMLC=ocamlc.opt
OCAMLOPT=ocamlopt.opt
OCAMLDEP=ocamldep
OCAMLDOC=ocamldoc

OCAMLLIB= $(shell $(OCAMLC) -where)

INCLUDES= -I misc -I cfeval -I fnflib

OCAMLFLAGS=$(INCLUDES)    # add other options for ocamlc here
OCAMLOPTFLAGS=$(INCLUDES) # add other options for ocamlopt here

.PHONY : all
all : cf fnf doc

.PHONY : doc
doc :
	$(OCAMLDOC) -html $(INCLUDES) -d doc \
    misc/*.ml      misc/*.mli   \
    cfeval/*.ml    cfeval/*.mli \
    fnflib/*.ml    fnflib/*.mli

check: cf
	cf -test

.PHONY : install
install : all
	install -D cf  $(PREFIX)/bin/cf
	install -D fnf $(PREFIX)/bin/fnf

.PHONY : uninstall
uninstall :
	-rm $(PREFIX)/bin/cf
	-rm $(PREFIX)/bin/fnf

CF_CMX=\
  $(OCAMLLIB)/unix.cmxa          \
  $(OCAMLLIB)/nums.cmxa          \
  misc/ut.cmx                    \
  misc/list2.cmx                 \
  misc/string2.cmx               \
  misc/intbig.cmx                \
  misc/loc.cmx                   \
  misc/report.cmx                \
  misc/version.cmx               \
  fnflib/fnf_core.cmx            \
  fnflib/fnf_out.cmx             \
  cfeval/cf_fnf.cmx              \
  cfeval/cfAst.cmx               \
  cfeval/cfParserUtil.cmx        \
  cfeval/cfParser.cmx            \
  cfeval/cfLexer.cmx             \
  cfeval/cfTypes.cmx             \
  cfeval/cfPrims.cmx             \
  cfeval/cfCompiler.cmx          \
  misc/test_suite.cmx            \
  cfeval/cf.cmx

FNF_CMX=\
  misc/ut.cmx              \
  misc/string2.cmx         \
  misc/version.cmx         \
  fnflib/parser_util.cmx   \
  fnflib/fnf_core.cmx      \
  fnflib/fnf_parser.cmx    \
  fnflib/fnf_lexer.cmx     \
  fnflib/fnf_out.cmx       \
  fnflib/fnf_verilog.cmx   \
  fnflib/fnf_vhdl.cmx      \
  fnflib/fnf_jhdl.cmx      \
  fnflib/fnf_nusmv.cmx     \
  fnflib/fnf_c.cmx         \
  fnflib/ltl.cmx           \
  fnflib/psl_ast.cmx       \
  fnflib/psl_parser.cmx    \
  fnflib/psl_lexer.cmx     \
  fnflib/fnf.cmx

cf : $(CF_CMX)
	$(OCAMLOPT) -o cf $(OCAMLOPTFLAGS) $(CF_CMX)

fnf : $(FNF_CMX)
	$(OCAMLOPT) -o fnf $(OCAMLOPTFLAGS) $(FNF_CMX)

.ml.cmo:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<

clean:
	-rm depend
	-rm cf
	-rm fnf
	-rm cfeval/cfParser.ml
	-rm cfeval/cfParser.mli
	-rm cfeval/cfParser.output
	-rm cfeval/cfLexer.ml
	-rm fnflib/fnf_parser.ml
	-rm fnflib/fnf_parser.mli
	-rm fnflib/fnf_parser.output
	-rm fnflib/fnf_lexer.ml
	-rm fnflib/psl_parser.ml
	-rm fnflib/psl_parser.mli
	-rm fnflib/psl_parser.output
	-rm fnflib/psl_lexer.ml
	-rm fnflib/*.cm[iox] fnflib/*.o
	-rm cfeval/*.cm[iox] cfeval/*.o
	-rm misc/*.cm[iox] misc/*.o
	-rm doc/*.html doc/*.css

depend :                 \
  cfeval/cfParser.ml     \
  cfeval/cfParser.mli    \
  cfeval/cfLexer.ml      \
  fnflib/psl_parser.ml   \
  fnflib/psl_parser.mli  \
  fnflib/psl_lexer.ml    \
  fnflib/fnf_parser.ml   \
  fnflib/fnf_parser.mli  \
  fnflib/fnf_lexer.ml
	$(OCAMLDEP) $(INCLUDES) \
    misc/*.ml      misc/*.mli   \
    cfeval/*.ml    cfeval/*.mli \
    fnflib/*.ml    fnflib/*.mli \
    > depend

include depend

cfeval/cfParser.ml cfeval/cfParser.mli: cfeval/cfParser.mly
	cd cfeval && ocamlyacc -v cfParser.mly

cfeval/cfLexer.ml: cfeval/cfLexer.mll
	cd cfeval && ocamllex cfLexer.mll

fnflib/fnf_parser.ml fnflib/fnf_parser.mli: fnflib/fnf_parser.mly
	cd fnflib && ocamlyacc -v fnf_parser.mly

fnflib/fnf_lexer.ml: fnflib/fnf_lexer.mll
	cd fnflib && ocamllex fnf_lexer.mll

fnflib/psl_parser.ml fnflib/psl_parser.mli: fnflib/psl_parser.mly
	cd fnflib && ocamlyacc -v psl_parser.mly

fnflib/psl_lexer.ml: fnflib/psl_lexer.mll
	cd fnflib && ocamllex psl_lexer.mll

=== src/ivl/Makefile ===
SHELL=/bin/bash

PREFIX=/usr/local

.PHONY : all
all : fnf.tgt

fnf.tgt : fnf.c ivl_target.h
	gcc -Wall -O2 -shared -o fnf.tgt fnf.c

.PHONY : install
install : all
	install -D fnf.tgt  $(PREFIX)/lib/ivl/fnf.tgt
	install -D fnf.conf $(PREFIX)/lib/ivl/fnf.conf

.PHONY : uninstall
uninstall :
	-rm $(PREFIX)/lib/ivl/fnf.tgt
	-rm $(PREFIX)/lib/ivl/fnf.conf

clean:
	-rm fnf.tgt

=== debian/changelog ===
confluence (0.10.6-7build3) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 12:10:23 +0000

confluence (0.10.6-7build2) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:09:15 -0600

confluence (0.10.6-7build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 May 2011 19:57:42 +0100

confluence (0.10.6-7) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Ralf Treinen ]
  * Switch source format to 3.0 (quilt):
    - comvert patches to quilt style
    - no more build-dependency on dpatch
    - no more patching in debian/rules
    - create file debian/source/format
  * Add dependency on ${misc:Depends}
  * Standards-version 3.8.4 (no change)
  * Fix typo in debian/README.debian
  * Create a copy of the fnf manpage in in debian/manpages, escape hyphens
    and add a correct whatis entry.
  * Added debian/confluence.install for installation of extra files,
    call dh_install from debian/rules.
  * Added debian/vim/confluence.yaml, install it into /usr/share/vim/registry
    (closes: Bug#464819).
  * Recommends  vim-addon-manager, and added in README.debian a note about
    the vim addon, as suggested in the debian vim policy.

 -- Ralf Treinen <treinen@debian.org>  Sun, 31 Jan 2010 19:40:42 +0100

confluence (0.10.6-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Fix typo in debian/watch (closes: Bug#450078)
  * Changed doc-base section to Science/Electronics
  * DH compat level 5
  * Standards-Version 3.8.1 (no change)

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Mehdi Dogguy ]
  * Fix watch file (closes: Bug#529104)

 -- Ralf Treinen <treinen@debian.org>  Fri, 22 May 2009 09:33:14 +0200

confluence (0.10.6-5) unstable; urgency=low

  * Adopting the package for debian-ocaml-maint (closes: Bug#418965).
  * debian/control: added XS-Vcs-Svn and XS-Vcs-Browse fields.
  * Adapted debian/svn-deblayout to the pkg-ocaml directory layout
  * Use dpatch to manage patches, put diff from 0.10.6-4 into 01config.dpatch
  * debian/watch: point now to fundhl.org
  * debian/rules: cleanup
  * debian/rules: do not ignore errors of "make clean"
  * Build-depend on ocaml-nox >= 3.10 in order to force autobuildes to use
    the right ocaml version.
  * Standards-Version 3.7.2.2 (no change)
  * Register documentation with doc-base
  * Removed package maintainer from debian/copyright.
  * Explain status of the package in debian/README.Debian.

 -- Ralf Treinen <treinen@debian.org>  Sat, 08 Sep 2007 19:49:08 +0200

confluence (0.10.6-4) unstable; urgency=low

  *  Orphaning; this package is superceded by HDCaml upstream,
     and I no longer use that or this package.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 12 Apr 2007 20:57:40 -0600

confluence (0.10.6-3) unstable; urgency=low

  * Allow building on archs without ocamlopt (closes: #345887)
    - Thanks to Julien Cristau <jcristau@liafa.jussieu.fr> for the patch.

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed,  4 Jan 2006 11:31:17 -0700

confluence (0.10.6-2) unstable; urgency=low

  * Standards-Version to 3.6.2
  * Updated FSF address in debian/copyright

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed,  9 Nov 2005 11:12:48 -0700

confluence (0.10.6-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 28 Sep 2005 17:57:15 -0600

confluence (0.10.5-1) unstable; urgency=low

  * New upstream release
  * Updated watch file
  * Fixed confluence.vim install location (closes: #306777)

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 28 Apr 2005 17:24:52 -0600

confluence (0.10.4-2) unstable; urgency=low

  * Fix up debian/watch for uscan version=3

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 26 Mar 2005 23:14:28 -0700

confluence (0.10.4-1) unstable; urgency=low

  * Initial Release (closes: #301410)

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 25 Mar 2005 09:22:39 -0700

=== debian/control ===
Source: confluence
Section: electronics
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Stefano Zacchiroli <zack@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Mike Furr <mfurr@debian.org>
Build-Depends: debhelper (>= 5), txt2man, ocaml-nox (>= 3.10)
Standards-Version: 3.8.4
Homepage: http://www.confluent.org
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/confluence.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/confluence.git

Package: confluence
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Recommends: vim-addon-manager
Description: language for synchronous reactive hardware system design
 From the upstream website:
 .
 A Confluence program can generate digital logic for an FPGA or ASIC
 platform, or C code for hard real-time software. 
 .
 Confluence combines the component-based methodologies of Verilog and
 VHDL with the expressiveness of higher order functional programming. 
 .
 In comparison to Verilog, VHDL, and C, systems designed in Confluence
 result in 2X to 10X code reduction, making the source easier to manage
 and reuse. And because Confluence relies on a correct-by-construction
 compiler, bugs are reduced--some are prevented altogether--thus
 reducing the overall verification effort.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for confluence

#export DH_VERBOSE=1

ifeq ($(wildcard /usr/bin/ocamlopt),)
OCAML_DEP = ocaml-base-nox-$(shell ocamlc -version)
endif

build: build-stamp 

build-stamp:
	dh_testdir
	if [ -x /usr/bin/ocamlopt ]; then \
	$(MAKE) PREFIX=$(CURDIR)/debian/confluence/usr OCAMLC=ocamlc OCAMLOPT=ocamlopt; \
	else \
	$(MAKE) -C src PREFIX=$(CURDIR)/debian/confluence/usr OCAMLC=ocamlc fnf.byte cf.byte doc; \
	fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean cf.1 fnf.1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	if [ -x /usr/bin/ocamlopt ]; then \
	$(MAKE) install PREFIX=$(CURDIR)/debian/confluence/usr OCAMLC=ocamlc OCAMLOPT=ocamlopt; \
	else \
	$(MAKE) -C src install-byte PREFIX=$(CURDIR)/debian/confluence/usr && \
	$(MAKE) install-cf PREFIX=$(CURDIR)/debian/confluence/usr; \
	fi
	find $(CURDIR)/debian/confluence/usr/share/confluence/ -name "*.cf" -exec chmod 644 {} \;
	$(CURDIR)/debian/confluence/usr/bin/cf  | txt2man -s 1 -t cf  > cf.1

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman cf.1 debian/manpages/fnf.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -Vocaml:Depends=$(OCAML_DEP)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
